%global pypi_name nh3

Name:		python-%{pypi_name}
Summary:	Python bindings to the ammonia HTML sanitization library
Version:	0.2.15
Release:	%mkrel 1
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/nh3/
Source0:	%{pypi_source}
# created by ./vendor_rust.py helper script inside SOURCES dir based on one from python-cryptography
Source1:        nh3-%{version}-vendor.tar.bz2
Source2:        vendor_rust.py
BuildRequires:  cargo-rpm-macros
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel

%description
Python bindings to the ammonia HTML sanitization library.

%package -n python3-%{pypi_name}
Summary:	%{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python bindings to the ammonia HTML sanitization library.

%prep
%autosetup -p1 -n %{pypi_name}-%{version} -a1

%global cargo_registry $(pwd)/vendor
%cargo_prep

%generate_buildrequires
%pyproject_buildrequires

%build
export RUSTFLAGS='%{build_rustflags}'
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README*


%changelog
* Tue Dec 26 2023 wally <wally> 0.2.15-1.mga10
+ Revision: 2021525
- imported package python-nh3

